/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
    #imgds {
        filter: saturate(100%);
    }

    background-image: url("images/darksouls-bg-1.gif");
    background-repeat: repeat;
    background-size: cover;
    color: white;
    font-family: times-new-roman;
    margin: 0;
    padding: 0;

    .myDiv {
        display: flex;
        align-items: center;
        border: 1vh outset red;
        text-align: center;
        flex-direction: column;
        justify-content: center;
        width: 100%;
        height: 19vh;
        background-image: url('images/pewdiepie.gif');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        box-sizing: border-box;
        position: sticky;
    }

    .selam {
        font-family: "Bitcount Single", system-ui;
        font-optical-sizing: auto;
        font-weight: 400px;
        font-style: normal;
        font-size: 200%;
        font-variation-settings: "slnt" 0,
        "CRSV" 0.5,
        "ELSH" 0,
        "ELXP" 0;
    }

    .menu {
        display: grid;
        border: 1vh outset red;
        color: white;
        background-image: url("images/nether-tile.gif");
        background-repeat: repeat;
        height: 79vh;
        width: 20vw;
        position: relative;
        grid-template-areas:
    "myHeader myHeader"
    "myMainContent mySidebar"
    "myFooter mySidebar";
        grid-template-rows: 20% 40% 40%;
        grid-template-columns: 33.3% 66.7%;
        grid-gap: 10px;
    }

    .item1 {
        grid-area: myHeader;
        margin-right: 10px;
        background-color: lightgray;
    }

    .item2 {
        grid-area: mySidebar;
        margin-bottom: 20px;
        margin-right: 10px;
    }

    .item3 {
        grid-area: myMainContent;
        display: flex;
        margin-right: 10px;
    }

    .item4 {
        grid-area: myFooter;

        margin-bottom: 20px;
    }

    .item-property {
        display: flex;
        flex-direction: column;
    }

    .inside_menu {
        border: 1px red solid;

    }

    .inside_menu_h1 {
        text-align: center;
    }
}

.menu2 {
    display: grid;
    border: 1vh outset red;
    color: white;
    background-image: url("images/nether-tile.gif");
    background-repeat: repeat;
    height: 79vh;
    width: 40vw;
    position: relative;
    grid-template-areas:
    "myHeader myHeader"
    "myMainContent mySidebar"
    "myFooter mySidebar";
    grid-template-rows: 20% 40% 40%;
    grid-template-columns: 33.3% 66.7%;
    grid-gap: 10px;
}
.menu3 {
    display: grid;
    border: 1vh outset red;
    color: white;
    background-image: url("images/nether-tile.gif");
    background-repeat: repeat;
    height: 79vh;
    width: 20vw;
    position: relative;
    grid-template-areas:
    "myHeader myHeader"
    "myMainContent mySidebar"
    "myFooter mySidebar";
    grid-template-rows: 20% 40% 40%;
    grid-template-columns: 33.3% 66.7%;
    grid-gap: 10px;
    margin-left: auto;
}

.sheet {
    display: grid;
    position: relative;
    grid-template-areas:
    "menu menu2 menu3";
    grid-template-columns: 1fr auto 1fr;
    grid-gap: auto;
    width: 100%;
    height: 80vh;
}
    .menu-baglama1 {
        grid-area: menu;
    }

    .menu-baglama2 {
        grid-area: menu2;
        justify-self: center;
    }

    .menu-baglama3 {
        grid-area: menu3;
    }

}